Bug 435598 - Review Request: joni - Java regexp library
Review Request: joni - Java regexp library
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mamoru TASAKA
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 417511
  Show dependency treegraph
 
Reported: 2008-03-02 06:43 EST by Conrad Meyer
Modified: 2008-07-21 12:12 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-07 17:50:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mtasaka: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Conrad Meyer 2008-03-02 06:43:48 EST
Spec URL: http://konrad.sobertillnoon.com/fedora/joni.spec
SRPM URL: http://konrad.sobertillnoon.com/fedora/joni-1.0.1-1.fc8.src.rpm
Description:
joni is a port of Oniguruma, a regular expressions library,
to java. It is used by jruby.
Comment 1 Milos Jakubicek 2008-03-10 07:08:42 EDT
One informal review remark concerning licensing:

You've used the BSD license in the spec file, but:

There is a MIT license mentioned in pom.xml:
    <license>
      <name>MIT License</name>
      <url>http://www.opensource.org/licenses/mit-license.php</url>
      <distribution>repo</distribution>
    </license>

And there is also the MIT license included in the source files (Modern Style
with sublicense -- see http://fedoraproject.org/wiki/Licensing/MIT for details).

What is a bit confusing is the project's site, because there is a disclaimer:
"Distributed under a tri-license (CPL/GPL/LGPL)". This should be probably
clarified with upstream (for what parts of JRuby this applies), nevertheless
according to the source files now you should use License: MIT.

Otherwise it seems ok for me.
Comment 2 Conrad Meyer 2008-03-10 12:36:34 EDT
(In reply to comment #1)
> One informal review remark concerning licensing:
> 
> You've used the BSD license in the spec file, but:
> 
> There is a MIT license mentioned in pom.xml:
>     <license>
>       <name>MIT License</name>
>       <url>http://www.opensource.org/licenses/mit-license.php</url>
>       <distribution>repo</distribution>
>     </license>
> 
> And there is also the MIT license included in the source files (Modern Style
> with sublicense -- see http://fedoraproject.org/wiki/Licensing/MIT for 
details).
> 
> What is a bit confusing is the project's site, because there is a disclaimer:
> "Distributed under a tri-license (CPL/GPL/LGPL)". This should be probably
> clarified with upstream (for what parts of JRuby this applies), nevertheless
> according to the source files now you should use License: MIT.
> 
> Otherwise it seems ok for me.

Yes, sorry, I noticed this and fixed it in my current spec file, but didn't 
feel ready to upload that unless there were no other packaging issues.
Comment 3 Lubomir Kundrak 2008-03-10 12:47:15 EDT
No hurry with this really, until the java guidelines are done :/
Comment 5 Mamoru TASAKA 2008-03-14 12:45:50 EDT
INFO:
Now (at least on rawhide) java-1.7.0-icedtea is replaced by
java-1.6.0-openjdk
Comment 6 Conrad Meyer 2008-03-14 23:52:00 EDT
Whoops, appears the spec for 1.0.1-2 was not actually uploaded. Fixing that.
Comment 7 Conrad Meyer 2008-03-14 23:58:32 EDT
Ahhhh, I'm giving you the wrong URLs. Doh!
Actual URLs for 1.0.1-2:
Spec: http://konradm.fedorapeople.org/fedora/SPECS/joni.spec
SRPM: http://konradm.fedorapeople.org/fedora/SRPMS/joni-1.0.1-2.fc8.src.rpm
Comment 8 Mamoru TASAKA 2008-03-16 12:36:54 EDT
Well, no problem

- srpm builds
  http://koji.fedoraproject.org/koji/taskinfo?taskID=517581
- binary actually rebuilt from FOSS text source.
- spec file okay
- can be installed

! Please add pom.xml to %doc to clarify this is MIT.
---------------------------------------------------------------------------
      This package (joni) is APPROVED by me
---------------------------------------------------------------------------
Comment 9 Conrad Meyer 2008-03-16 17:36:21 EDT
New Package CVS Request
=======================
Package Name: joni
Short Description: Java regexp library
Owners: konradm
Branches: F-8
InitialCC: 
Cvsextras Commits: yes
Comment 10 Kevin Fenzi 2008-03-17 20:06:18 EDT
Well, as we don't have java guidelines yet, we shouldn't approve import java
packages. I'm afraid I don't have much of a cite of this, but all of the obvious
java packages are blocking F_GUIDELINES. 

Perhaps we could get someone from packaging to confirm that no new java packages
should be reviewed/approved/imported until guidelines are complete?

And perhaps the submitter and reviewer could work on getting the java package
guidelines finalized? 
Comment 11 Kevin Kofler 2008-03-17 21:12:38 EDT
Sorry, but there are a lot of Java packages in Fedora already, so I really 
don't see why this successfully-reviewed package shouldn't get imported!

Once the draft guidelines are finalized, packages can be fixed if they don't 
conform to them.
Comment 12 Kevin Kofler 2008-03-17 21:13:09 EDT
Resetting fedora-cvs.
Comment 14 Mamoru TASAKA 2008-03-17 22:50:52 EDT
Well, actually for this package there is no issues to fix anymore.
Also we can fix the existing Java packages once Java packaging guidelines
are approved.

Resetting fedora-review+.
Comment 15 Kevin Fenzi 2008-04-03 13:53:26 EDT
The java package guidelines have been passed by the packaging folks, and 
approved by FESCO. 

http://fedoraproject.org/wiki/PackagingDrafts/Java
(will likely be moved from PackagingDrafts to Packaging soon). 

Can you please re-check this package against the approved guidelines? 
Thanks. 
Comment 16 Mamoru TASAKA 2008-04-04 03:11:12 EDT
Well now Java packaging guidelines are imported, so
- Would you check the "Requires" of java (especially Epoch dependency)
  per the section "BuildRequires and Requires" of
  http://fedoraproject.org/wiki/Packaging/Java ?
Comment 17 Conrad Meyer 2008-04-05 16:18:13 EDT
New URLs:
Spec: http://konradm.fedorapeople.org/fedora/SPECS/joni.spec
SRPM: http://konradm.fedorapeople.org/fedora/SRPMS/joni-1.0.2-3.fc8.src.rpm

Note: I tried to build with GCJ AOT bits, but this consumed >1.5 gigs of ram 
and swap before I killed it (and kept growing). So this spec/srpm doesn't build 
AOT bits.
Comment 18 Conrad Meyer 2008-04-06 02:57:09 EDT
OK, I have joni building with AOT bits now. URLs:
Spec: http://konradm.fedorapeople.org/fedora/SPECS/joni.spec
SRPM: http://konradm.fedorapeople.org/fedora/SRPMS/joni-1.0.2-4.fc8.src.rpm
Comment 19 Mamoru TASAKA 2008-04-06 13:49:41 EDT
Well, okay (now I have to rewrite _my_ java related packages :) )

---------------------------------------------------------------------
      This package (joni) is APPROVED by me
---------------------------------------------------------------------
Comment 20 Conrad Meyer 2008-04-06 15:18:30 EDT
New Package CVS Request
=======================
Package Name: joni
Short Description: Java regular expression library
Owners: konradm
Branches: F-8
InitialCC: 
Cvsextras Commits: yes
Comment 21 Kevin Fenzi 2008-04-06 23:50:01 EDT
cvs done.
Comment 22 Conrad Meyer 2008-07-21 04:40:10 EDT
Package Change Request
======================
Package Name: joni
New Branches: EL-5
Comment 23 Kevin Fenzi 2008-07-21 12:12:01 EDT
cvs done.

Note You need to log in before you can comment on or make changes to this bug.